List counties by country
curl --request GET \
--url https://demo.onlinebillingform.com/api/v2/county/lists-by-country \
--header 'Authorization: Bearer <token>'import requests
url = "https://demo.onlinebillingform.com/api/v2/county/lists-by-country"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://demo.onlinebillingform.com/api/v2/county/lists-by-country', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"counties": {
"current_page": 1,
"data": [
{
"id": 123,
"country_id": 81,
"name": "Lancashire",
"code": "LAN"
}
],
"last_page": 1,
"per_page": 15,
"total": 1
}
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}County
List counties by country
Use this BillingServ API endpoint to list counties for a selected country. Cache the returned canonical county names and IDs for selection, or use search for autocomplete. Pass the selected county ID to the customer endpoint. Review the response for the operation result or validation errors.
GET
/
county
/
lists-by-country
List counties by country
Authorizations
Use Authorization: Bearer <live_api_key>.
Query Parameters
ID of the selected country.
Page number for pagination.
Required range:
x >= 1Number of counties to return per page. Defaults to 15 and supports up to 100.
Required range:
1 <= x <= 100Optional search by county name or county code.
Maximum string length:
100Response
OK
⌘I